"""PROPKA 3

See https://github.com/jensengroup/propka for more information.

Please cite these PROPKA references in publications:

* Sondergaard, Chresten R., Mats HM Olsson, Michal Rostkowski, and Jan H. Jensen.
"Improved Treatment of Ligands and Coupling Effects in Empirical Calculation and
Rationalization of pKa Values." Journal of Chemical Theory and Computation 7,
no. 7 (2011): 2284-2295.

* Olsson, Mats HM, Chresten R. Sondergaard, Michal Rostkowski, and Jan H. Jensen.
"PROPKA3: consistent treatment of internal and surface residues in empirical pKa
predictions." Journal of Chemical Theory and Computation 7, no. 2 (2011): 525-537.
"""
__all__ = ["atom", "bonds", "calculations", "conformation_container",
           "coupled_groups", "determinant", "determinants", "group",
           "hybrid36", "iterative", "input", "lib", "ligand_pka_values",
           "ligand", "molecular_container", "output", "parameters",
           "protonate", "run", "vector_algebra", "version"]

from ._version import get_versions
__version__ = get_versions()['version']
del get_versions
